Translate Toolkit & Pootle

Tools to help you make your software local


Instalación

Esta es un guía para instalar Translate Tookit en su sistema. La forma de instalación más sencilla es si Translate Toolkit ya está empaquetado para su distribución. Para usuarios de Windows, ofrecemos asistentes de instalación. Es posible que el paquete esté disponible para muchas distribuciones a través del sistema de gestión de paquetes.

Puede que estos paquetes no sean los más recientes, o que desea instalar nuestras versiones empaquetadas por alguna razón.

Si su sistema ya ofrece un paquete de Toolkit, háganos saber los pasos necesarios para instalarlo.

Requisitos previos

  • Elimine las versiones antiguas de Toolkit en Debian

Los siguientes consejos sólo afectan a la instalación manual desde el archivo tar.

encuentre la ubicación de sus paquetes de Python:

python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"

elimine el paquete de Toolkit de su directorio de Python «site-packages»:

rm /usr/local/lib/python2.5/dist-packages/translate -R

Construir

Para las instrucciones de compilación, consulte la página building.

Descargar

Descargue una versión publicada estable. Para aquellos que desean solucionar ciertos problemas, o desean usar la versión más reciente, obtenga el código más actual en Subversion.

El fichero «translate-toolkit-…-setup.exe» es la mejor elección para usuarios de Windows, y contiene todo lo necesario para ejecutar órdenes de Toolkit. Si desea usarlo para el desarrollo, necesitará instalarlo con «easy_install» o a partir del paquete de fuentes.

Si instala la versión completa de Windows, o instala el programa mediante el sistema de gestión de paquetes de su distribución, debería tener todas las dependencias necesarias automáticamente. Si está instalando desde el sistema de control de versiones, o desde una publicación de fuentes, debería revisar el archivo README para información sobre las dependencias necesarias. Algunas dependencias son opcionales. El archivo README lo documenta.

Instalar versiones empaquetadas

Descargue el paquete para su sistema:

-setup.exe Un completo instalador de Windows con todas las dependencias, incluido Python
.exe Un instalador para un sistema Windows con Pyton y otras dependencias ya instaladas
RPM Para una instalación sencilla en un sistema basado en RPM
.tar.gz Para una instalación desde las fuentes en sistemas Linux
.deb Para Debian GNU/Linux (versión Etch)

Puede instalar el paquete RPM con la siguiente orden:

rpm -Uvh translate-toolkit-1.0.1.rpm

Para instalar un archivo tar.bz2

tar xvjf translate-toolkit-1.1.0.tar.bz2
cd translate-toolkit-1.1.0
su
./setup.py install

Bajo Windows, simplemente pulse sobre el archivo «.exe» y siga las instrucciones.

En Debian (si usa Etch), sencillamente use la siguiente orden:

aptitude install translate-toolkit

Si está utilizando un antiguo sistema estable de Debian, puede que desee instalar la versión «tar.bz2». Asegúrese de instalar Python y los archivos de desarrollo de Primero con

apt-get install python python-dev

Por otra parte, puede que la distribución testing contenga paquetes más nuevos.

Instalación desde Subversion

Si desea probar la última versión del código, o desea los últimos arreglos de una rama de estabilización, tendrá que utilizar Subversion para obtener las fuentes.

svn co https://translate.svn.sourceforge.net/svnroot/translate/src/trunk translate

Esta orden obtendrá la versión «trunk» de Toolkit. También dispone de más instrucciones de Subversion.

Una vez que tenga las fuentes tendrá dos opciones: una instalación completa

su
./setup.py install

o ejecutar las herramientas desde el directorio de fuentes

./setuppath # Necesario sólo la primera vez
. setpath  # Haga esto una vez por sesión

Comprobar la versión instalada

Para comprobar qué versión de Toolkit está instalada, ejecute:

[l10n@server]# moz2po --version
moz2po 1.1.0